Commit a13af4f4 authored by Ryan Scott's avatar Ryan Scott
Browse files

Merge branch 'transformers-compat' into 'master'

Include revisions for packages to build with transformers-compat-0.7.*

See merge request ghc/head.hackage!177
parents b908a219 2fcfb299
Pipeline #38833 failed with stages
diff --git a/bound.cabal b/bound.cabal
index a7716d0..f661a4a 100644
--- a/bound.cabal
+++ b/bound.cabal
@@ -1,6 +1,7 @@
name: bound
category: Language, Compilers/Interpreters
version: 2.0.3
+x-revision: 1
license: BSD3
cabal-version: >= 1.10
license-file: LICENSE
@@ -88,7 +89,7 @@ library
cereal >= 0.3.5.2 && < 0.6,
comonad >= 3 && < 6,
hashable >= 1.2.5.0 && < 1.4,
- mmorph >= 1.0 && < 1.2,
+ mmorph >= 1.0 && < 1.3,
deepseq >= 1.1 && < 1.5,
profunctors >= 3.3 && < 6,
template-haskell >= 2.7 && < 3,
diff --git a/src/Bound/TH.hs b/src/Bound/TH.hs
index c4a9255..faced54 100644
--- a/src/Bound/TH.hs
......
diff --git a/quickcheck-instances.cabal b/quickcheck-instances.cabal
index e3933cb..d1980df 100644
index e3933cb..13c1e5c 100644
--- a/quickcheck-instances.cabal
+++ b/quickcheck-instances.cabal
@@ -1,5 +1,6 @@
name: quickcheck-instances
version: 0.3.25.2
+x-revision: 1
+x-revision: 2
synopsis: Common quickcheck instances
description:
QuickCheck instances.
@@ -78,7 +79,7 @@ library
@@ -39,7 +40,8 @@ tested-with:
|| ==8.4.4
|| ==8.6.5
|| ==8.8.4
- || ==8.10.3
+ || ==8.10.4
+ || ==9.0.1
source-repository head
type: git
@@ -78,7 +80,7 @@ library
other-modules: Test.QuickCheck.Instances.CustomPrelude
hs-source-dirs: src
build-depends:
......@@ -18,6 +28,17 @@ index e3933cb..d1980df 100644
, QuickCheck >=2.14.1 && <2.14.3
, splitmix >=0.0.2 && <0.2
@@ -97,8 +99,8 @@ library
, text >=1.2.3.0 && <1.3
, these >=1.1.1.1 && <1.2
, time-compat >=1.9.4 && <1.10
- , transformers >=0.3.0.0 && <0.6
- , transformers-compat >=0.6.5 && <0.7
+ , transformers >=0.3.0.0 && <0.7
+ , transformers-compat >=0.6.5 && <0.8
, unordered-containers >=0.2.2.0 && <0.3
, uuid-types >=1.0.3 && <1.1
, vector >=0.9 && <0.13
diff --git a/src/Test/QuickCheck/Instances/Semigroup.hs b/src/Test/QuickCheck/Instances/Semigroup.hs
index 90ae0ea..9a47bc6 100644
--- a/src/Test/QuickCheck/Instances/Semigroup.hs
......
diff --git a/semialign.cabal b/semialign.cabal
index 7246497..8a06793 100644
--- a/semialign.cabal
+++ b/semialign.cabal
@@ -1,6 +1,7 @@
cabal-version: >=1.10
name: semialign
version: 1.2
+x-revision: 1
synopsis:
Align and Zip type-classes from the common Semialign ancestor.
@@ -65,7 +66,7 @@ library
build-depends:
base >=4.5.1.0 && <4.16
, containers >=0.4.2.1 && <0.7
- , transformers >=0.3.0.0 && <0.6
+ , transformers >=0.3.0.0 && <0.7
-- These
build-depends: these >=1.1.1.1 && <1.2
@@ -86,8 +87,8 @@ library
if !impl(ghc >=8.0)
build-depends:
semigroups >=0.18.5 && <0.20
- , transformers >=0.3.0.0 && <0.6
- , transformers-compat >=0.6.5 && <0.7
+ , transformers >=0.3.0.0 && <0.7
+ , transformers-compat >=0.6.5 && <0.8
-- Ensure Data.Functor.Classes is always available
if impl(ghc >=7.10)
diff --git a/src/Data/Semialign/Internal.hs b/src/Data/Semialign/Internal.hs
index d19d223..7174006 100644
--- a/src/Data/Semialign/Internal.hs
......
diff --git a/semigroupoids.cabal b/semigroupoids.cabal
index 7463780..ed28e9d 100644
--- a/semigroupoids.cabal
+++ b/semigroupoids.cabal
@@ -1,6 +1,7 @@
name: semigroupoids
category: Control, Comonads
version: 5.3.5
+x-revision: 1
license: BSD3
cabal-version: >= 1.10
license-file: LICENSE
@@ -131,7 +132,7 @@ library
bifunctors >= 5.5.9 && < 6,
template-haskell >= 0.2.5.0,
transformers >= 0.3 && < 0.6,
- transformers-compat >= 0.5 && < 0.7
+ transformers-compat >= 0.5 && < 0.8
if impl(ghc >= 7.0 && < 7.2)
build-depends: generic-deriving >= 1.14 && < 1.15
diff --git a/src/Data/Functor/Alt.hs b/src/Data/Functor/Alt.hs
index 72fefc5..e405a65 100644
--- a/src/Data/Functor/Alt.hs
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment